#include <stdio.h>

int main() {
    int n, s, s1;
    scanf("%d %d", &n, &s);
    for(int i = 0; i < n; i++){
        scanf("%d %d", &s, &s1);
    }

    printf("%d %d\n", 0, n-1);

    for(int i = 2; i <= n; i++)
    {       
        printf("%d %d\n", 1, i);
    }
    return 0;

}